Subject: Re: bug#17215: Acknowledgement (Build failure)

From: David Kastrup <[email-masked]>
Date: Fri, 11 Apr 2014 22:58:19 +0200

Stefan Monnier <[email-masked]> writes:

>>> It would appear that this particular bug yielded to the pure size
>>> increase.  What a singularly useless error behavior for a problem that
>>> is expected to reoccur with some regularity!
>> Still waiting to hear a response to my previous question on why we don't
>> just abort as soon as we detect pure overflow.
>
> Good question.  The reason is largely histerical, where it was
> convenient to still have a partly usable Emacs.  Nowadays, many more
> people build their Emacs from trunk without having the technical
> knowledge to detect and handle this problem, so it's probably better to
> just abort.

I fail to see how an Emacs that segfaults during the build can be
considered usable to a degree making sense.

-- 
David Kastrup